View Issue Details

IDProjectCategoryView StatusLast Update
0000016WackoWikiactionpublic2013-01-05 11:29
ReporterEoNy Assigned Toadministrator  
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version4.2 
Target Version5.1.0Fixed in Version5.1.0 
Summary0000016: submission for {{calendar}} action
DescriptionI have written a {{calendar}} action that displays a single month calendar with a few customizable parameters.

http://wackowiki.org/Dev/PatchesHacks/Calendar
Additional Information{{calendar}} may not be the best name for this action, if a more capable calendar feature is planned. {{monthcalendar}} might be more suitable.
TagsNo tags attached.

Activities

2007-08-28 00:05

 

calendar.php (4,116 bytes)

EoNy

2007-08-28 00:06

manager   ~0000009

JimLipsey:

Sorry, ACLs have been corrected. The page is now tasteable.

EoNy

2007-08-28 00:06

manager   ~0000010

kukutz:

How this action can be used practically?

For what? =)

EoNy

2007-08-28 00:07

manager   ~0000011

Last edited: 2008-04-14 12:13

JimLipsey:

I find it useful to keep a calendar on the homepage and each project page of my personal wiki. It can be useful for any page that stores calendar information. I typically make a borderless, two cell table, with the calendar on the left and a list of important dates on the right. It's not perfect, and I could really use a database-backed calendar action, but it works for my needs.

It's also consistent with similar actions in other wikis, such as wikka's:
http://wikkawiki.org/JwCalendar
http://wikkawiki.org/GmBowenCalendar

see also:
http://usemod.com/cgi-bin/mb.pl?WikiCalendar

EoNy

2007-08-28 00:08

manager   ~0000012

WackoFanatic:

I'd love to have this action in Wacko, too - would use it immediately on our soccer team wiki pages. The demo looks nice, good job Jim!

EoNy

2007-08-28 00:08

manager   ~0000013

mb:

WackoWiki is not an Blog ;), but a calendar could be an very useful supplement, for example:

http://wiki.wordpress.org/CalendarPlugin
Reason: One of the often usages of Wikis is to log the day-to-day activities of a team. The team may perform technical support, maintenances, software development, or other functions, nevertheless it’s a useful to take advantage of a feature that allows easy creation and management of daily logs. The Team Log top page should have a Calendar-Tag that shows the current month and the next month (or other layouts depending on configurable options). For each day without a log entry, the calendar uses color red (or other defined color). For current day, the calendar uses color yellow. Any day-log is a common wiki page. The important aspect of this is the automatic calendar “table” with current day highlight.

EoNy

2007-08-28 00:08

manager   ~0000014

kukutz:

Martin, but this action do not support linking to log pages, eh?

WackoFanatic, how will you use it?

EoNy

2007-08-28 00:09

manager   ~0000015

WackoFanatic:

Nothing fancy :) We have a small local soccer team, and we are thinking about having a web site for it (based on wacko) now. Content will be simple: players, schedules, announcements, and so on. And I think it would be nice to display a calendar like that right next to the schedule of games - would make it easier for visitors to see what date it is today and when the next game is, or even on the front page ...

Tann San

2009-04-10 13:29

manager   ~0000634

How about having a "Calendar Event Date" field in the options for each page. That way you can have a global calendar by placing the action on each page you want the calendar. That would show all events for the entire wiki. We could add a parameter that lets you limit the range of pages that it takes into account so if we specified "GamesSchedule" it would only show events on the page and it's children (and their children and so on).

Could have the pretty page titles displayed in a tool tip when you hover over a date.

We could also have an "Events" page that works like the calendar but just displays a list of the events. Again, we could narrow it down to certain page branches by a parameter.

Finally, we could tie the two together so that when you click a calendar date with events it opens the CalendarEvents page and shows a clickable list of links for events on that date. If there's only one event it should just go straight to that events page.

administrator

2009-04-13 13:51

administrator   ~0000642

like in NPJ ;)

administrator

2013-01-05 11:29

administrator   ~0000876

Added as {{calendar}}

Issue History

Date Modified Username Field Change
2007-08-28 00:05 EoNy New Issue
2007-08-28 00:05 EoNy File Added: calendar.php
2007-08-28 00:06 EoNy Note Added: 0000009
2007-08-28 00:06 EoNy Note Added: 0000010
2007-08-28 00:07 EoNy Note Added: 0000011
2007-08-28 00:08 EoNy Note Added: 0000012
2007-08-28 00:08 EoNy Note Added: 0000013
2007-08-28 00:08 EoNy Note Added: 0000014
2007-08-28 00:09 EoNy Note Added: 0000015
2007-08-29 05:58 administrator Legacy => NPJ
2008-04-14 12:10 administrator Description Updated
2008-04-14 12:13 administrator Note Edited: 0000011
2008-05-15 23:14 administrator Description Updated
2008-08-23 14:26 administrator Description Updated
2009-01-06 17:00 administrator Description Updated
2009-04-10 13:29 Tann San Note Added: 0000634
2009-04-13 13:51 administrator Note Added: 0000642
2009-04-13 14:08 administrator Assigned To => administrator
2009-04-13 14:08 administrator Status new => confirmed
2010-03-08 10:09 administrator Category Action => action
2013-01-05 11:29 administrator Note Added: 0000876
2013-01-05 11:29 administrator Status confirmed => resolved
2013-01-05 11:29 administrator Resolution open => fixed
2013-01-05 11:29 administrator Fixed in Version => 5.1.0
2013-01-05 11:29 administrator Target Version => 5.1.0